package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProductBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class ProApplyTargetAddAdapter extends BaseQuickAdapter<ProductBean.RecordsBean, BaseViewHolder> {

    public ProApplyTargetAddAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, ProductBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getProductName());
        helper.setText(R.id.tv_in_price,  MathUtils.converData(String.valueOf(item.getOuterPrice()),3));
        helper.setText(R.id.tv_spec, item.getSpec());
        helper.setText(R.id.tv_num,  MathUtils.converData(String.valueOf(item.getQuantity()),3) );
        helper.setText(R.id.tv_price, MathUtils.converData(String.valueOf(item.getInnerPrice()),3));
        helper.setVisible(R.id.iv_cart, false);
    }
}

